.building-direction-service{
    width: 100%; height: 100%;
}

.tf-building-direction-service-list-wrap {
    width: 100%;
    height: 100%;
}


.tf-building-direction-service-list-object-menu {
    display: none;
}

.tf-building-direction-service-list-object:hover .tf-building-direction-service-list-object-menu {
    display: inline-block;
}

/*service create a post.. */
@media only screen and (max-width: 600px) {
    .tf-building-direction-create-post-button > button {
        width: 80%;
    }
}

.tf-building-direction-service-create-form-content, .tf-building-direction-about-edit-form-content {
    padding-top: 15px;
    padding-bottom: 20px;
}

.tf-building-direction-service-create-form-content > table tr td, .tf-building-direction-about-edit-form-content > table tr td {
    border: none;
    color: grey;
}

.tf-building-direction-service-create-form-content > table tr td label, .tf-building-direction-about-edit-form-content > table tr td label {
    color: black;
}

/*detail*/
.building-direction-service-detail {
    position: relative;
    width: 100%;
    height: 100%; 
} 
  

.building-direction-service-object{
    position: relative; 
    aspect-ratio: 3/4; 
    height: auto;
    padding:0;
    border: 1px solid whitesmoke; 
}
.building-direction-service-object > .object-content{
    position: absolute; 
    z-index: 1; 
    width: 100%; 
    height:100%; 
    overflow: hidden; 
}
.building-direction-service-object-image{
    position: relative; width: 100%; height: 100%; display: flex;  align-items: center; justify-content: center; 
    padding:0;
}

.building-direction-service-object-image img{ 
    width: auto; 
    height: 100%;
}

.building-direction-service-object .object-menu{
    position: absolute; 
    z-index: 2; 
    left: 0;;
    bottom: 0; 
    width: 100%;  
    height: 50px;
}
.building-direction-service-object  > .object-menu > .object-menu-mask{
    width: 100%; 
    height: 100%; 
    position: absolute; 
    top: 0; 
    left: 0; 
    background-color: grey !important; 
    opacity: 0.5;
}
.building-direction-service-object > .object-menu > .object-menu-content{
    height: 100%;
    position: absolute; 
    top: 0; 
    left: 0; 
    z-index: 2; 
    margin: 0;
}